Skip to main content
POST
/
Agent
/
Crypto
/
GetPublicKey
Get Public Key
curl --request POST \
  --url https://{host}/Agent/Crypto/GetPublicKey \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "keyId": "<string>"
}
'
{
  "key": "<string>",
  "Algorithm": {
    "localName": "<string>",
    "namespace": "<string>",
    "securityStrength": 123,
    "safe": true,
    "slow": true,
    "pqc": true,
    "score": 123
  }
}

Overview

Allows the client to get the current server public key, or the public key of one of its own cryptographic keys. The client can use this key to validate signatures server in relation to legal identities, smart contracts, tokens, etc. Note: If a Key ID is provided, information about one of the keys of the client account is returned. If not Key ID is provided, information about the the public server key is returned. Note 2: If no Key ID is provided, resource requires no authentication. If a Key ID is provided, a Bearer token identifying the client account must be provided.

Authentication

Requires a valid JWT bearer token.

Notes

This endpoint uses the request schema notation described in Pattern matching.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
keyId
string

Response

200 - application/json

Success

key
string
required
Algorithm
object
required